Class | SM::Attribute
In: | rdoc/markup/simple_markup/inline.rb
Parent: | Object

We manage a set of attributes. Each attribute has a symbol name and a bit value

### Methods

as_string bitmap_for each_name_of

### Constants

SPECIAL | = | 1

### Public Class methods

as_string(bitmap)

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 22
        def Attribute.as_string(bitmap)
          return "none" if bitmap.zero?
          res = []
          @@name_to_bitmap.each do |name, bit|
            res << name if (bitmap & bit) != 0
          end
          res.join(",")
        end

bitmap_for(name)

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 12
        def Attribute.bitmap_for(name)
          bitmap = @@name_to_bitmap[name]
          if !bitmap
            bitmap = @@next_bitmap
            @@next_bitmap <<= 1
            @@name_to_bitmap[name] = bitmap
          end
          bitmap
        end

each_name_of(bitmap) {|name.to_s if (bitmap & bit) != 0| ...}

[Source]

    # File rdoc/markup/simple_markup/inline.rb, line 31
        def Attribute.each_name_of(bitmap)
          @@name_to_bitmap.each do |name, bit|
            next if bit == SPECIAL
            yield name.to_s if (bitmap & bit) != 0
          end
        end

[Validate]